### Function

# Json ArrayForeach

#### Declaration

    void
    (* JsonArrayForeach) (
      JsonArray* array,
      guint index_,
      JsonNode* element_node,
      gpointer user_data
    )

#### Description [src]

The function to be passed to `json_array_foreach_element()`.

You should not add or remove elements to and from `array` within this function.

It is safe to change the value of `element_node`.

Available since: | 0.8

#### Parameters

`array` | `JsonArray`
| The iterated JSON array.
| The data is owned by the caller of the function.
`index_` | `guint`
| The index of the element.
`element_node` | `JsonNode`
| The value of the element at the given `index_`
| The data is owned by the caller of the function.
`user_data` | `gpointer`
| Data passed to the function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.